Summary:	Map application for GNOME
Summary(pl.UTF-8):	Mapa dla GNOME
Name:		gnome-maps
Version:	3.24.3
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-maps/3.24/%{name}-%{version}.tar.xz
# Source0-md5:	0e051a4c8db9629ff72acd7d0b0ad003
Patch0:		%{name}-build.patch
URL:		https://wiki.gnome.org/Apps/Maps
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.10
BuildRequires:	folks-devel >= 0.10.0
BuildRequires:	geoclue2-devel >= 0.12.99
BuildRequires:	geocode-glib-devel >= 3.15.2
BuildRequires:	gjs-devel >= 1.44.0
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gobject-introspection-devel >= 0.10.1
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libchamplain-devel >= 0.12.14
BuildRequires:	libgee-devel >= 0.16.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rest-devel >= 0.7.90
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.40.0
Requires:	clutter
Requires:	clutter-gtk
Requires:	cogl
Requires:	folks >= 0.10.0
Requires:	geocode-glib >= 3.15.2
Requires:	gjs >= 1.44.0
Requires:	glib2 >= 1:2.40.0
Requires:	gtk+3 >= 3.22.0
Requires:	hicolor-icon-theme
Requires:	libchamplain >= 0.12.14
Requires:	libgee >= 0.16.0
Requires:	libsoup
Requires:	rest >= 0.7.90
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Maps is a simple map application for the GNOME desktop.

%description -l pl.UTF-8
GNOME Maps to prosta aplikacja dla środowiska GNOME służąca do obsługi
map.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-maps/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/gnome-maps
%dir %{_libdir}/gnome-maps
%attr(755,root,root) %{_libdir}/gnome-maps/libgnome-maps.so*
%dir %{_libdir}/gnome-maps/girepository-1.0
%{_libdir}/gnome-maps/girepository-1.0/GnomeMaps-1.0.typelib
%{_datadir}/appdata/org.gnome.Maps.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Maps.service
%{_datadir}/gir-1.0/GnomeMaps-1.0.gir
%{_datadir}/glib-2.0/schemas/org.gnome.Maps.gschema.xml
%dir %{_datadir}/gnome-maps
%attr(755,root,root) %{_datadir}/gnome-maps/org.gnome.Maps
%{_datadir}/gnome-maps/org.gnome.Maps.*.gresource
%{_datadir}/gnome-maps/icons
%{_datadir}/gnome-maps/maps-service.json
%{_desktopdir}/org.gnome.Maps.desktop
%{_iconsdir}/hicolor/*x*/apps/org.gnome.Maps.png
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Maps-symbolic.svg
%changelog
* Mon Jul 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-maps.git;a=log;h=master

* Mon Jul 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 64e61db
- updated to 3.24.3

* Mon Apr 10 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 981963b
- Update to 3.24.1

* Fri Mar 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 98cc02c
- Update to 3.24.0

* Sat Dec 31 2016 Jakub Bogusz <qboosh@pld-linux.org> c2917a9
- rest version

* Sat Nov 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> c6f7d35
- Update to 3.22.2

* Tue Oct 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 304fcbe
- Update to 3.22.1

* Sat Jun 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 53730e8
- updated to 3.20.1

* Thu Mar 31 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 45276b5
- Update to 3.20.0

* Thu Nov 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 846189c
- updated to 3.18.2

* Wed Oct 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 6632477
- updated to 3.18.1

* Tue May 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 81555c6
- updated to 3.16.2
- added build patch (fixes missing includes)

* Mon May 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 4403aba
- pl

* Sat Dec 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 9906d95
- Update to 3.14.2

* Wed May 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> a0e5a61
- Update to 3.12.2

* Wed Apr 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> ebe5e8d
- Update to 3.12.1

* Wed Apr 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 60925c7
- Update to 3.12.0

* Mon Dec 02 2013 Jan Rękorajski <baggins@pld-linux.org> 3d0bc6e
- release 2 (by relup.sh)

* Mon Nov 18 2013 Łukasz Kieś <kiesiu@pld-linux.org> a11dc53
- updated to 3.10.2

* Sun Oct 20 2013 Marcin Banasiak <marcin.banasiak@gmail.com> f036d8c
- New

